class Db::ResetAndSeed < LuckyCli::Task
  summary "Drop, recreate, and run migrations, and seed with required seeds"

  def call
    Db::Drop.new.call
    Db::Create.new.call
    Db::Migrate.new.call
    Db::CreateRequiredSeeds.new.call
  end
end
